Bug 643907 - fsadm does not know about btrfs
fsadm does not know about btrfs
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ondrej Kozina
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-18 09:46 EDT by Zdenek Kabelac
Modified: 2016-04-12 19:36 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2010-10-18 09:46:17 EDT
Description of problem:

btrfs is not supported filesystem by fsadm tool.

btrfscl from btrfs-progs could be used for fs resize.

Version-Release number of selected component (if applicable):
lvm2-2.02.74-2.fc15.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ric Wheeler 2010-10-18 09:53:59 EDT
Is there any reason to use this tool for btrfs? Btrfs tools can do this all without any help (it is a one step process) so wrapping them inside of fsadm would be a needless complication I suspect.

Thanks!
Comment 2 Zdenek Kabelac 2010-10-18 10:05:35 EDT
There could be some users - who will use btrfs over LV device - and they might expect that 'lvresize -r' will resize btrfs on this LV partition. I'm not saying it would be common use-case, but implementing this feature into fsadm isn't a bit problem.
Comment 3 Ric Wheeler 2010-10-18 10:10:26 EDT
Thanks - that does make sense...
Comment 4 Fedora End Of Life 2013-04-03 16:11:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.